Update Channel Selector Version History

5 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 1.6.1 8.6 KB Works with Firefox 3.1a1pre - 11.*, SeaMonkey 2.0a2 - 2.8.*, Thunderbird 3.0b3pre - 11.*

Stricting compatibility checks because security changes landed in Gecko 12 made the Addon unusable.

Version 1.6 8.2 KB Works with Firefox 3.1a1pre and later, SeaMonkey 2.0a2 and later, Thunderbird 3.0b3pre and later

    Built from d9d49dfa8849
  • overlay AboutDialog.xul in recent Firefox and Thunderbird
  • channel changes are now instant

In summary: updated to work with recent versions.

Details are on Bitbucket.

Version 1.6pre 8.2 KB Works with Firefox 3.1a1pre and later, SeaMonkey 2.0a2 and later, Thunderbird 3.0b3pre and later

    Built from 58f99aa553f6
  • overlay AboutDialog.xul in recent Firefox and Thunderbird
  • channel changes are now instant

In summary: updated to work with recent versions.

Details are on Bitbucket.

Version 1.5 8.2 KB Works with Firefox 3.1a1pre - 3.7a1pre, SeaMonkey 2.0a2 - 2.0b1, Thunderbird 3.0b3pre - 3.0b3pre

This version fixes problems running on Vista and some versions of Linux as well as adding support for SeaMonkey

Version 1.0.3 7.2 KB Works with Firefox 1.4 - 3.1a2pre, Thunderbird 1.5b - 3.0a2pre

Note that this version will not currently work on Vista or if you do not have write access to the install folder.